Bug 179266 - New port: mail/trojita Fast cross-platform Qt IMAP e-mail client
Summary: New port: mail/trojita Fast cross-platform Qt IMAP e-mail client
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-03 19:20 UTC by Marco Bröder
Modified: 2013-07-15 16:00 UTC (History)
0 users

See Also:


Attachments
file.shar (3.62 KB, text/plain)
2013-06-03 19:20 UTC, Marco Bröder
no flags Details
trojita.shar (3.63 KB, text/plain; charset=UTF-8)
2013-06-04 07:20 UTC, Marco Bröder
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Bröder 2013-06-03 19:20:00 UTC
Trojita is a fast cross-platform Qt IMAP e-mail client.

Some highlights are:

* It is a pure Qt application with no additional dependencies
* Robust IMAP core implemented using Qt's Model-View framework
* Standards compliance, resources efficiency, interoperability and high
  productivity are primary design goals
* Integrates well into any reasonable desktop environment
* On-demand message list and body part loading
* Offline IMAP support
* Support for bandwidth-saving mode aimed at mobile users with expensive
  connection
* IMAP over SSH -- in addition to usual SSL/TLS connections, the server could
  be accessed via SSH
* Safe and robust dealing with HTML mail

Trojita is neither a full PIM suite nor a POP3 client.

WWW: http://trojita.flaska.net/

Fix: Patch attached with submission follows:
Comment 1 Marco Bröder 2013-06-04 07:20:37 UTC
Please use the new shar attached to fix setting ${PREFIX} in Qmake environment.

Thanks!

https://redports.org/buildarchive/20130604051100-52005/

-- 
Kind regards
Comment 2 Martin Wilke freebsd_committer 2013-06-22 16:23:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2013-07-15 15:58:55 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 4 dfilter service freebsd_committer 2013-07-15 15:59:25 UTC
Author: miwi
Date: Mon Jul 15 14:59:14 2013
New Revision: 323056
URL: http://svnweb.freebsd.org/changeset/ports/323056

Log:
  Trojita is a fast cross-platform Qt IMAP e-mail client.
  
  Some highlights are:
  
  * It is a pure Qt application with no additional dependencies
  * Robust IMAP core implemented using Qt's Model-View framework
  * Standards compliance, resources efficiency, interoperability and high
    productivity are primary design goals
  * Integrates well into any reasonable desktop environment
  * On-demand message list and body part loading
  * Offline IMAP support
  * Support for bandwidth-saving mode aimed at mobile users with expensive
    connection
  * IMAP over SSH -- in addition to usual SSL/TLS connections, the server could
    be accessed via SSH
  * Safe and robust dealing with HTML mail
  
  Trojita is neither a full PIM suite nor a POP3 client.
  
  WWW: http://trojita.flaska.net/
  
  PR:		ports/179266
  Submitted by:	Marco Broeder <marco.broeder@gmx.eu>

Added:
  head/mail/trojita/
  head/mail/trojita/Makefile   (contents, props changed)
  head/mail/trojita/distinfo   (contents, props changed)
  head/mail/trojita/pkg-descr   (contents, props changed)
  head/mail/trojita/pkg-plist   (contents, props changed)
Modified:
  head/mail/Makefile

Modified: head/mail/Makefile
==============================================================================
--- head/mail/Makefile	Mon Jul 15 14:58:00 2013	(r323055)
+++ head/mail/Makefile	Mon Jul 15 14:59:14 2013	(r323056)
@@ -726,6 +726,7 @@
     SUBDIR += tlb
     SUBDIR += tmda
     SUBDIR += tpop3d
+    SUBDIR += trojita
     SUBDIR += tumgreyspf
     SUBDIR += uebimiau
     SUBDIR += up-imapproxy

Added: head/mail/trojita/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/trojita/Makefile	Mon Jul 15 14:59:14 2013	(r323056)
@@ -0,0 +1,30 @@
+# Created by: Marco Broeder <marco.broeder@gmx.eu>
+# $FreeBSD$
+
+PORTNAME=	trojita
+PORTVERSION=	0.3.93
+CATEGORIES=	mail
+MASTER_SITES=	SF/${PORTNAME}/src/
+
+MAINTAINER=	marco.broeder@gmx.eu
+COMMENT=	Fast cross-platform Qt IMAP e-mail client
+
+LICENSE=	GPLv2 GPLv3
+LICENSE_COMB=	dual
+
+MAKE_JOBS_SAFE=	yes
+
+USE_BZIP2=	yes
+
+USE_QT4=	linguist_build moc_build qmake_build rcc_build \
+		uic_build sql-sqlite3 webkit
+
+HAS_CONFIGURE=	yes
+INSTALLS_ICONS=	yes
+NO_INSTALL_MANPAGES=	yes
+
+do-configure:
+	cd ${WRKSRC} && ${QMAKE} ${QMAKEFLAGS} PREFIX=${PREFIX} \
+		CONFIG+="release disable_tests" ${PORTNAME}.pro
+
+.include <bsd.port.mk>

Added: head/mail/trojita/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/trojita/distinfo	Mon Jul 15 14:59:14 2013	(r323056)
@@ -0,0 +1,2 @@
+SHA256 (trojita-0.3.93.tar.bz2) = 625bf7fded3f00a45f6f4eafe504fa3e20e237632072f7e47949d0a1339274e4
+SIZE (trojita-0.3.93.tar.bz2) = 966396

Added: head/mail/trojita/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/trojita/pkg-descr	Mon Jul 15 14:59:14 2013	(r323056)
@@ -0,0 +1,20 @@
+Trojita is a fast cross-platform Qt IMAP e-mail client.
+
+Some highlights are:
+
+* It is a pure Qt application with no additional dependencies
+* Robust IMAP core implemented using Qt's Model-View framework
+* Standards compliance, resources efficiency, interoperability and high
+  productivity are primary design goals
+* Integrates well into any reasonable desktop environment
+* On-demand message list and body part loading
+* Offline IMAP support
+* Support for bandwidth-saving mode aimed at mobile users with expensive
+  connection
+* IMAP over SSH -- in addition to usual SSL/TLS connections, the server could
+  be accessed via SSH
+* Safe and robust dealing with HTML mail
+
+Trojita is neither a full PIM suite nor a POP3 client.
+
+WWW: http://trojita.flaska.net/

Added: head/mail/trojita/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/trojita/pkg-plist	Mon Jul 15 14:59:14 2013	(r323056)
@@ -0,0 +1,31 @@
+bin/trojita
+share/applications/trojita.desktop
+share/icons/hicolor/32x32/apps/trojita.png
+share/icons/hicolor/scalable/apps/trojita.svg
+%%DATADIR%%/locale/trojita_common_bs.qm
+%%DATADIR%%/locale/trojita_common_cs.qm
+%%DATADIR%%/locale/trojita_common_da.qm
+%%DATADIR%%/locale/trojita_common_de.qm
+%%DATADIR%%/locale/trojita_common_el.qm
+%%DATADIR%%/locale/trojita_common_es.qm
+%%DATADIR%%/locale/trojita_common_et.qm
+%%DATADIR%%/locale/trojita_common_fr.qm
+%%DATADIR%%/locale/trojita_common_ga.qm
+%%DATADIR%%/locale/trojita_common_gl.qm
+%%DATADIR%%/locale/trojita_common_hu.qm
+%%DATADIR%%/locale/trojita_common_ia.qm
+%%DATADIR%%/locale/trojita_common_lt.qm
+%%DATADIR%%/locale/trojita_common_mr.qm
+%%DATADIR%%/locale/trojita_common_nl.qm
+%%DATADIR%%/locale/trojita_common_pl.qm
+%%DATADIR%%/locale/trojita_common_pt.qm
+%%DATADIR%%/locale/trojita_common_pt_BR.qm
+%%DATADIR%%/locale/trojita_common_sk.qm
+%%DATADIR%%/locale/trojita_common_sv.qm
+%%DATADIR%%/locale/trojita_common_tr.qm
+%%DATADIR%%/locale/trojita_common_uk.qm
+%%DATADIR%%/locale/trojita_common_x-test.qm
+%%DATADIR%%/locale/trojita_common_zh_CN.qm
+%%DATADIR%%/locale/trojita_common_zh_TW.qm
+@dirrm %%DATADIR%%/locale
+@dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"